# eth\_newFilter

### Parameters

`Object` - filter options:

1. `fromBlock`: `Quantity` or `tag` (optional, default is `"latest"` if not specified)&#x20;

   \- choose 1 of the following options:

   * A hexadecimal block number.
   * `"earliest"` - the earliest/genesis block.
   * `"latest"` - the latest mined block.
   * `"finalized"` - the latest finalized block.
   * `"pending"` - the pending state/transactions.
2. `toBlock`: `Quantity` or `tag` (optional, default is `"latest"` if not specified)&#x20;

   \- choose 1 of the following options:

   * A hexadecimal block number.
   * `"latest"` - the latest mined block.
   * `"finalized"` - the latest finalized block.
   * `"pending"` - the pending state/transactions.
3. `address`:  (optional) Contract address or a list of addresses from which logs should originate.
4. `topics`: (optional) Array of `Data` topics. Topics are order-dependent. A transaction with a log with topics \[A, B] will be matched by the following topic filters:
   * `[]` "anything"
   * `[A]` "A in first position (and anything after)"
   * `[null, B]` "anything in first position AND B in second position (and anything after)"
   * `[A, B]` "A in first position AND B in second position (and anything after)"
   * `[[A, B], [A, B]]` "(A OR B) in first position AND (A OR B) in second position (and anything after)"

#### Sample Request

{% code overflow="wrap" %}

```
curl https://lb.nodies.app/v1/<INSERT URL> \
   -H "x-api-key: <API-KEY>" \
   -X POST \
   -H "Content-Type: application/json" \
   -d '{ 
  "jsonrpc": "2.0",
  "method": "eth_newFilter",
  "params": [
    {
      "topics": [
        "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef"
      ]
    }
  ],
  "id": 1
}'
```

{% endcode %}

#### Sample Response

{% code overflow="wrap" %}

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0xf15af16426d388263085be7383c2d019"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nodies.app/supported-api-methods/polygon-mainnet-pos/eth_newfilter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
